.mfp-container .mfp-preloader,
.porto-loading-icon {
  display: inline-block;
  width: 40px;
  height: 40px;
  margin: 0 auto;
  border: 2px solid transparent;
  border-radius: 50%;
  border-top-color: #2f2727;
  content: "";
  z-index: 2;
  border-image: none;
  -webkit-animation: spin 0.75s infinite linear;
  animation: spin 0.75s infinite linear;
}

.mfp-container .mfp-preloader::before,
.porto-loading-icon::before {
  position: absolute;
  top: -2px;
  right: 0;
  left: -2px;
  width: inherit;
  height: inherit;
  border: inherit;
  border-radius: inherit;
  border-top-color: inherit;
  content: "";
  -webkit-animation: spin 1.5s infinite ease;
  animation: spin 1.5s infinite ease;
}

.ajax-overlay {
    display: -ms-flexbox;
    display: flex;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    -ms-flex-align: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.6);
    z-index: 1041;
}

body:not(.loaded) > *:not(.loading-overlay) {
    visibility: hidden;
}

@-webkit-keyframes bouncedelay {
  0%, 80%, 100% {
    -webkit-transform: scale(0);
    transform: scale(0);
  }
  40% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}
@keyframes bouncedelay {
  0%, 80%, 100% {
    -webkit-transform: scale(0);
    transform: scale(0);
  }
  40% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}

.loading-overlay {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    transition: all 0.5s ease-in-out;
    background: white;
    opacity: 1;
    visibility: visible;
    z-index: 999999;
}
.loaded > .loading-overlay {
    opacity: 0;
    visibility: hidden;
}
.bounce-loader {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 70px;
    margin: -9px 0 0 -35px;
    transition: all 0.2s;
    text-align: center;
    z-index: 10000;
  }
  .bounce-loader .bounce1,
  .bounce-loader .bounce2,
  .bounce-loader .bounce3 {
    display: inline-block;
    width: 18px;
    height: 18px;
    border-radius: 100%;
    background-color: black;
    box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.15);
    -webkit-animation: 1.4s ease-in-out 0s normal both infinite bouncedelay;
    animation: 1.4s ease-in-out 0s normal both infinite bouncedelay;
  }
  .bounce-loader .bounce1 {
    -webkit-animation-delay: -0.32s;
    animation-delay: -0.32s;
  }
  .bounce-loader .bounce2 {
    -webkit-animation-delay: -0.16s;
    animation-delay: -0.16s;
  }